# List Networks

List all Networks

Endpoint: GET /networks
Security: cookieAuthStaging, cookieAuthProd

## Security:

  - `cookieAuthStaging` (unknown)
    apiKey in cookie tr-staging

  - `cookieAuthProd` (unknown)
    apiKey in cookie tr-production

## Query parameters:

  - `page_size` (integer)

  - `page` (integer)

  - `order` (string)
    Supported order fields: `name`

  - `asc` (boolean)

  - `filter` (array)
    Supported filter fields: `id`

  - `search` (array)
    Supported search fields: `name`

## Response 200:

  - `200` (unknown)
    A successful response.

## Response 200 fields (application/json):

  - `networks` (array)

  - `networks.id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `networks.name` (string)
    Example: Test Network

  - `total_size` (integer)
    Example: 1

## Response 400 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 401 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 403 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 404 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

